<template>
  <div class="productsite">
      <div>
          <div>id: <strong style="color:#FF0000">{{ productsite.productsite_id }}</strong> <strong style="font-size:35px">{{ productsite.productsite_name }}</strong></div>
      </div>
      <div class="productsite__btns">
          <my-button @click="$router.push( `/productsites/${productsite.productsite_name}/${productsite.productsite_id} `)">Open</my-button>
      </div>
  </div>
</template>    


<script>
export default {
  props: {
      productsite: {
          type: Object,
          required: true,
        }
    }
}
</script>


<style scoped>
.productsite {
  padding: 15px;
  border: 2px solid teal;
  margin-top: 15px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.productsite__btns {
  display: flex;
}
</style>
